# Changelog

## v0.1.1  - 8.4.2024

### Added

- Changelog entries are now sorted alphabetically. 


## v0.1.0  - 16.10.2023

### Added

- Added the '--latest' flag for the changelog generation command. 
- Added the --stdout flag for the changelog generation command. 
- Added the `releasecli init` command. 
### Documented

- Updated the documentation in the README.md file. 


## v0.0.4  - 16.10.2023

### Fixed

- Removed unwanted debug prints. 


## v0.0.3  - 22.7.2023

### Fixed

- Fixed an issue that prevented creating releases without changes. 


## v0.0.2  - 22.7.2023

### Added

- Added a config option that allows setting a static version prefix. 
- Added more useful metadata to the cli application. 
- When executing the `release create` command the user is now asked wether they want to set a name.  
### Changed

- Improved error handling. 
- The change title question does not have a default value anymore. 
### Fixed

- Fixed an issue that prevented CTRL+C to cancel the prompts. 
- Fixed that changes could be out of order. 
- Fixed that the change selection would ask for prefered days. 
### Documented

- Added documentation on how to lint the project. 


## v0.0.1  - 22.7.2023

> The first release.

### Added

- Added the ability to create new changes via the cli. 
- Added the ability to create new releases via the cli. 
- Added the ability to generate the changelog via the cli. 
### Documented

- Added a readme.md file that contains basic information about the project.  
- Added the GPL3 Licence. 


